﻿using System;
using System.Reflection;
using System.Web.Mvc;

namespace RESTController.ActionFilters
{
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = false, Inherited = true)]
    public class UseEditMethodAsConfiguredAttribute : ActionMethodSelectorAttribute
    {
        private readonly string editHttpMethod = RESTControllerSettings.Settings.EditHttpMethod;

        public override bool IsValidForRequest(ControllerContext controllerContext, MethodInfo methodInfo)
        {
            string incomingVerb = controllerContext.HttpContext.Request.HttpMethod;
            return incomingVerb == editHttpMethod;            
        }
    }
}
