﻿using System;
using System.Reflection;
using System.Web.Mvc;

namespace RESTController.ActionFilters
{
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = false, Inherited = true)]
    public class UseNewMethodAsConfiguredAttribute : ActionMethodSelectorAttribute
    {
        private readonly string newHttpMethod = RESTControllerSettings.Settings.NewHttpMethod;

        public override bool IsValidForRequest(ControllerContext controllerContext, MethodInfo methodInfo)
        {
            string incomingVerb = controllerContext.HttpContext.Request.HttpMethod;
            return incomingVerb == newHttpMethod;            
        }
    }
}
